For the complete documentation index, see llms.txt. This page is also available as Markdown.

Waitlist Applicants

Get a specific applicant record

get
Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Identifier for this applicant

Responses
200

applicant found

application/json
get/api/v1/applicants/{id}
GET /api/v1/applicants/{id} HTTP/1.1
Host: catalog.example.edu
Authorization: YOUR_API_KEY
Accept: */*
200

applicant found

{
  "applicant": {
    "id": 1,
    "user": {
      "id": 1,
      "name": "text",
      "email": "text"
    },
    "listing": {
      "id": 1,
      "title": "text"
    },
    "notified_of_opening_at": "text",
    "status": "text",
    "created_at": "text",
    "updated_at": "text"
  }
}

List applicants

get
Authorizations
AuthorizationstringRequired
Query parameters
listing_idintegerOptional

Only include applicants for the specified listing

statusstringOptional

Only include applicants with the specified status (waitlist, accepted, declined, or expired)

Responses
200

applicants listed

application/json
get/api/v1/applicants
GET /api/v1/applicants HTTP/1.1
Host: catalog.example.edu
Authorization: YOUR_API_KEY
Accept: */*
200

applicants listed

{
  "applicants": [
    {
      "id": 1,
      "user": {
        "id": 1,
        "name": "text",
        "email": "text"
      },
      "listing": {
        "id": 1,
        "title": "text"
      },
      "notified_of_opening_at": "text",
      "status": "text",
      "created_at": "text",
      "updated_at": "text"
    }
  ]
}

Delete applicants

delete
Authorizations
AuthorizationstringRequired
Query parameters
listing_idintegerRequired

Only delete applicants for the specified listing

canvas_user_idintegerOptional

Only delete applicants with the specified Canvas user ID

Responses
204

applicants deleted

No content

delete/api/v1/applicants
DELETE /api/v1/applicants?listing_id=1 HTTP/1.1
Host: catalog.example.edu
Authorization: YOUR_API_KEY
Accept: */*
204

applicants deleted

No content

Last updated

Was this helpful?